/** ***********************  centaure.h ****************************** **/
/*  Fouquet Jeremy	   Lefebvre Yann	Chevalier Henri		*/
/*	IMA 3I				2004/2005			*/
/************************************************************************/
/*	Adrian Siminiceanu			Liviu Amarfei		*/
/*	USM Suceava Roumanie		2005/2006			*/
/************************************************************************/
/*	Chamfroy Florent			Gourisse Maxime		*/
/*	IMA 3I				2005/2006			*/
/************************************************************************/
/*	Leverd Baptiste				Dechanet julien		*/
/*	IMA 5I				2007/2008			*/
/************************************************************************
    Rodriguez Loic  Quentin Lambert Davy Ribreau Cedric Vendermeersch 
	IMA4 SA		IMA4 SC		IMA4 SA	        IMA4 SA      	
					2012/2013			
************************************************************************/
#ifndef CENTAURE_H
#define CENTAURE_H

#include <stdbool.h>

// Macro pour le maximum
#define max(x,y)	(((x)>(y))?(x):(y))

// Dfinition des constantes boolenne
#define VRAI (1==1)
#define FAUX (0==1)

#define BUFFER_SIZE 255


// Commandes envoyes sur le port srie
#define CMD_SERIE_AVANCER 'q'
#define CMD_SERIE_AVANCER_RAPIDE 'a'
#define CMD_SERIE_RECULER 'd'
#define CMD_SERIE_RECULER_RAPIDE 'r'
#define CMD_SERIE_GAUCHE_90 'w'
#define CMD_SERIE_GAUCHE_45 'o'
#define CMD_SERIE_DROITE_90 'x'
#define CMD_SERIE_DROITE_45 'p'
#define CMD_SERIE_DEMI_TOUR 'b'
#define CMD_SERIE_STOP 's'
#define CMD_SERIE_COURBE_G 't'
#define CMD_SERIE_COURBE_D 'y'

// Commandes reues sur le port srie
#define CMD_SERIE_BAT_100 'p'	// niveaux bateries
#define CMD_SERIE_BAT_75 'o'
#define CMD_SERIE_BAT_50 'i'
#define CMD_SERIE_BAT_25 'u'
#define CMD_SERIE_BAT_10 'y'
#define CMD_SERIE_BAT_5 't'
#define CMD_SERIE_ARRET_URGENCE 's'

// Commandes de communication par pipe
#define CMD_PIPE_SIZE 3
#define CMD_PIPE_AVANCER "av1"
#define CMD_PIPE_AVANCER_RAPIDE "av2"
#define CMD_PIPE_RECULER "re1"
#define CMD_PIPE_RECULER_RAPIDE "re2"
#define CMD_PIPE_GAUCHE_90 "g90"
#define CMD_PIPE_GAUCHE_45 "g45"
#define CMD_PIPE_DROITE_90 "d90"
#define CMD_PIPE_DROITE_45 "d45"
#define CMD_PIPE_COURGE_G "cg1"
#define CMD_PIPE_COURGE_D "cd1"
#define CMD_PIPE_DEMI_TOUR "dmt"
#define CMD_PIPE_STOP "stp"
#define CMD_PIPE_KINECT_ON_OFF "kin"


// Ce qui suit est antrieur au projet de 2013, et bon nombre de constants sont inutiliss
#define soundsfile "Soundfiles/sounds.ini"
#define imagesfile "Images/images.ini"

#define AVANCER "avancer"
#define AVANCER_SIZE 7
#define RECULER "reculer"
#define RECULER_SIZE 7
#define GAUCHE "gauche"
#define GAUCHE_SIZE 6
#define DROITE "droite"
#define DROITE_SIZE 6
#define EXIT "exit"
#define EXIT_SIZE 4
#define HELP "help"
#define HELP_SIZE 4
#define ARRET "arret"
#define ARRET_SIZE 5
#define QUITTER "quitter"
#define QUITTER_SIZE 7
#define N "n"
#define N_SIZE 1
#define OBSTACLE_ON "e"		/* evitement des obstacles actives */
#define OBSTACLE_OFF "a"	/* evitement des obstacles desactives */
#define OBSTACLE_SIZE 1
#define AVANCER_2 "Z020\n"
#define RECULER_2 "S020\n"
#define DROITE_90 "D090\n"
#define DROITE_45 "D045\n"
#define GAUCHE_90 "G090\n"
#define GAUCHE_45 "D045\n"
#define ROBOT_CMD_SIZE 5
#define SERIAL_CMD_SIZE 4





typedef int boolean;

extern short int port_web;
extern short int port_video;

extern int tubeWS[2];
extern int tubeIS[2];
extern int tubeKinect[2];
extern int tubeSIHM[2];
extern int tubeIW[2];
extern int tubeDEMO[2];

bool guidageKinectActif;
extern int ordre_ok;

extern char sounds[10][BUFFER_SIZE];
extern char images[10][BUFFER_SIZE];

#endif


