/** *********************  gestionIhm.c ****************************** **/
/*  Fouquet Jeremy	   Lefebvre Yann	Chevalier Henri		*/
/*	IMA 3I				2004/2005			*/
/************************************************************************/
/*	Adrian Siminiceanu			Liviu Amarfei		*/
/*	USM Suceava Roumanie		2005/2006			*/
/************************************************************************/
/*	Chamfroy Florent			Gourisse Maxime		*/
/*	IMA 3I				2005/2006			*/
/************************************************************************
        clement  TACHE			Liying WANG 
	IMA4 SA				IMA4 SC		      	
					2013/2014			
************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include "gestionSerie.h"
#include "centaure.h"
#include "gestionIhm.h"
#include "gestionIhmEcoute.h"



GtkWidget *window;
GtkWidget *image, *pImage;
GtkWidget *vBox;
GdkPixbuf *pixScaled, *pixImage;


GtkWidget *label; 
GdkColor color = {0, 635, 65535, 65535};
GdkCursor *cursor = NULL;

int status;


void showMouse() {

     gdk_window_set_cursor(window->window, NULL);
}

void hideMouse() { 

    gchar bits[] = { 0 };
    GdkColor mcolor = { 0, 0, 0, 0 };
    GdkPixmap *pixmap;

    pixmap = gdk_bitmap_create_from_data(NULL, bits, 1, 1);
    cursor = gdk_cursor_new_from_pixmap(pixmap, pixmap, &mcolor, &mcolor, 0, 0);
    gdk_window_set_cursor(window->window, cursor);
}

void afficher_image_depannage()
{
    GtkWidget *pImageDepanne;
 
 /* Chargement de la premiere image*/    
    test_image = test_image_file("./Images/depannage1.jpg");

    if(test_image == 1 ) {
	    pixImage=gdk_pixbuf_new_from_file("./Images/depannage1.jpg", NULL);	
	    pixScaled = gdk_pixbuf_scale_simple (pixImage, IMAGE_WT, IMAGE_HT, GDK_INTERP_BILINEAR);
	    image = gtk_image_new_from_pixbuf (pixScaled);
    }	
    else 
            image = gtk_image_new_from_pixbuf (NULL);
 
}

int KeyPress(GtkWidget *wid, GdkEventKey *event) {
  /*clavier d pour */
    if(event->keyval == 0x64) {
	afficher_image_depannage();
    }
  /*clavier f pour */
    if(event->keyval == 0x66) {
    	if(status == 0) {
                    gtk_window_unfullscreen(GTK_WINDOW(window));
                    showMouse();
		    status = 1;
	    } else {
	            gtk_window_fullscreen(GTK_WINDOW(window));
                    hideMouse();
	            status = 0;
	    } 
    }
    return TRUE;
}

int gestionIhm() {     

    status = 0; 
    /* This is called in all GTK applications. Arguments are parsed
     * from the command line and are returned to the application. */
    gtk_init(NULL,NULL);

    /* Creation d'une nouvelle fenetre */
    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
   
    /* Definition de la taille de la fenetre */
    gtk_window_set_default_size(GTK_WINDOW(window),WINDOW_WT,WINDOW_HT);
    
    /* Definition du titre de la fenetre */
    gtk_window_set_title(GTK_WINDOW(window), WINDOW_TITLE);

    gtk_widget_modify_bg(window, GTK_STATE_NORMAL, &color);
   
    /* Gestion signaux pour les key de la fenetre*/
    g_signal_connect (G_OBJECT (window), "key_release_event", G_CALLBACK (KeyPress), NULL);

    /* Gestion signaux pour la fermeture de la fenetre*/
    g_signal_connect (G_OBJECT (window), "delete_event", G_CALLBACK (gtk_main_quit), NULL);
    g_signal_connect (G_OBJECT (window), "destroy", G_CALLBACK (gtk_main_quit), NULL);
        
    /* Creation de la vBox du haut et du bas*/
    vBox = gtk_vbox_new(FALSE, 0);

     /* Cration du label*/
    label = gtk_entry_new ();
    gtk_entry_set_max_length(GTK_ENTRY(label), 50);
    gtk_entry_set_alignment(GTK_ENTRY(label), 0.5);
    gtk_entry_set_editable(GTK_ENTRY(label), FALSE);
    gtk_entry_set_has_frame(GTK_ENTRY(label), FALSE); 
 
    /* Chargement de la premiere image*/    
    test_image = test_image_file(images[0]);

    if(test_image == 1 ) {
	    pixImage=gdk_pixbuf_new_from_file(images[0], NULL);	
	    pixScaled = gdk_pixbuf_scale_simple (pixImage, IMAGE_WT, IMAGE_HT, GDK_INTERP_BILINEAR);
	    image = gtk_image_new_from_pixbuf (pixScaled);
    }	
    else 
            image = gtk_image_new_from_pixbuf (NULL);

    /*Affichage du widget image et du label dans la vBox*/
    gtk_box_pack_start(GTK_BOX(vBox),image, TRUE, TRUE,5);
    gtk_box_pack_end(GTK_BOX(vBox), label, TRUE, TRUE, 5);      

    /* Ajout de cette vBox a la fenetre*/
    gtk_container_add(GTK_CONTAINER(window), vBox);   

    /* Affichage de tous les elements */
    gtk_widget_show_all(window);

    /* Affichage du window plain ecrain */
    gtk_window_fullscreen(GTK_WINDOW(window));

    hideMouse();

    gtk_main ();
	
    return 0;
}
