/** *****************  gestionServeurImage.c ************************* **/
/*  Fouquet Jeremy	   Lefebvre Yann	Chevalier Henri		*/
/*	IMA 3I				2004/2005			*/
/************************************************************************/
/*	Adrian Siminiceanu			Liviu Amarfei		*/
/*	USM Suceava Roumanie		2005/2006			*/
/************************************************************************/
/*	Chamfroy Florent			Gourisse Maxime		*/
/*	IMA 3I				2005/2006			*/
/************************************************************************/

#include <fcntl.h>
#include <linux/videodev.h>
#include <stdio.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <sys/types.h>

#include "centaure.h"

#include "../Threads/libthrd.h"
#include "../Socket/libsck.h"

#include "gestionServeurImage.h"


int nb_client=0;

unsigned char jpeg_buf[JPEG_BUF_SIZE];
unsigned long int jpeg_bytes;


void gestionServeurImage()
{
	// Descripteur de la socket d'coute
	int sd;

	//Lancement du thread de capture d'image
	// creerThreadCaptureImage();
	
	// Initialisation du serveur
	sd=initialisationServeur(&port_video,MAX_CONNEXIONS_IMAGES);
	
	// Lancement de la boucle d'ecoute
	if((boucleServeur(sd, (void *)creerThreadClientImage))==-1) printf("gestionServeurImage: erreur de creation de socket de dialogue dans boucle serveur.\n");
}
