/** ************************  libthrd.h ****************************** **/
/*  Fouquet Jeremy	   Lefebvre Yann	Chevalier Henri		*/
/*	IMA 3I				2004/2005			*/
/************************************************************************/
/*	Adrian Siminiceanu			Liviu Amarfei		*/
/*	USM Suceava Roumanie		2005/2006			*/
/************************************************************************/
/*	Chamfroy Florent			Gourisse Maxime		*/
/*	IMA 3I				2005/2006			*/
/************************************************************************/
/*      Leverd Baptiste                         Dechanet Julien         */
/*      IMA 5I                          2007/2008                       */
/************************************************************************/


#ifndef libthrd_h
#define libthrd_h

#include <pthread.h>

/*Fonctions de cration des threads*/
void creerThreadSerie();
void creerThreadIrc();
//void creerThreadWeb();
//void creerThreadServeurWeb();
void creerThreadIhm();
void creerThreadIhmEcoute();
void creerThreadSon();
//void creerThreadClientImage();
//void creerThreadServeurImage();
//void creerThreadWifi();
//void creerThreadDemo();
void creerThreadKinect();

/* Fonction de maniputaion des mutex*/
extern pthread_mutex_t mutex_web;
extern pthread_mutex_t mutex_jpeg_buf;
extern pthread_mutex_t mutex_nb_client;

extern pthread_cond_t image_dispo;
extern void initMutex();
extern void P(pthread_mutex_t * mutex);
extern void V(pthread_mutex_t * mutex);

#endif
