<?
define ("PATH",'localhost');

/* Define some constants about LDAP server */

define("LDAP_SERVER","annuaire.polytech-lille.fr");
define("LDAP_SUFFIX","dc=polytech-lille.fr");
define("LDAP_REGISTER_SUFFIX","ou=Register,".LDAP_SUFFIX);
define("LDAP_PEOPLE_SUFFIX","ou=People,".LDAP_SUFFIX);
define("LDAP_GROUP_SUFFIX","ou=Group,".LDAP_SUFFIX);
define("LDAP_DEFAULT_FILTER","(objectClass=*)");

class LDAP {
	var $handle=0;
	
	/* Connection of the LDAP object to the LDAP server */
	function connect(){
		$this->handle=ldap_connect(LDAP_SERVER);
		if(!$this->handle){
			echo "LDAP.connect: Can't connect to LDAP server<BR>";
			exit;
		}
	}
	
	/* Disconnection of the LDAP object from the LDAP server */
	function disconnect(){
		$status=ldap_close($this->handle);
		if(!$status){
			echo "LDAP.disconnect: Disconnection problem<BR>";
			exit;
		}
		$this->handle=0;
	}
	
	/* This function log the LDAP object under a given DN */
	function logon($login,$password){
		if(!$this->handle) $this->connect();
		$result=@ldap_bind($this->handle,"cn=$login,".LDAP_PEOPLE_SUFFIX,$password);
		return $result;
	}
	
	/* This function search some kind of value into the LDAP database */
	function search($base_dn,$filter=LDAP_DEFAULT_FILTER,$attributes=array()){
		if(!$this->handle) $this->connect();
		$result=ldap_search($this->handle,$base_dn,$filter,$attributes,0,0);
		$data=ldap_get_entries($this->handle,$result);
		return $data;
	}
}


if(isset($_POST["nom"])){
	$login=$_POST["nom"];
	$pass=$_POST["pass"];
	
	$ldap=new LDAP;
	$ldap->connect();
	$connect=$ldap->logon($login,$pass);
	if(!$connect){
		echo "<script language=javascript>\n";
		echo "alert('La connexion est refuse. Il est probable que vos nom d\'utilisateur ou mot de passe ont t mal saisis.');\n";
		echo "</script>\n";
	}
	
	else {
		$fp=@fsockopen(PATH,4000, $errno, $errstr, 10);
		if (!$fp) {
			echo "<SCRIPT language=JavaScript>\n";
			echo "alert('Impossible d\'tablir la connexion pour le moment!!');\n";
			echo "</script>";
			$connect=false;
		}else {
			$line=fgets($fp);
			$line=mb_strimwidth($line,0,45);
			
			echo "<SCRIPT language=JavaScript>\n";
			echo "alert('message:".$line."');\n";
			echo "</script>\n";
			
			fputs($fp,"connect\n");
			$code=fgets($fp);
			
			echo "<SCRIPT language=JavaScript>\n";
			echo "alert('code alatoire reu :".$code."');\n";
			echo "</script>\n";
			
		}
		
	}
}
if(isset($connect)&&$connect){$page="commandes.php?code=$code";}
else{$page="main.html";}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="Description" content="-- Centaure --">
<head>
	<script language="JavaScript" type="text/javascript">
		function connect(){
			if(document.formulaire.nom.value=='' || document.formulaire.pass.value==''){
				alert('Les champs ne peuvent pas rester vide !');
				document.formulaire.nom.focus();
			}
			else{
			document.formulaire.method = "POST";
			document.formulaire.action = "index.php";
			document.formulaire.submit();
			}
		}
		function deconnect(){
			document.formulaire.method = "POST";
			document.formulaire.action = "deconnexion.php?code=<?=$code?>";
			document.formulaire.submit();
		}
	</script>
	
	<title>-- Centaure --</title>
	<link rel="stylesheet" type="text/css" href="style.css" />
</head>

<body>
<div id="index" align="center">
	<table cellpadding="0" cellspacing="0" border="0" width="743">
		<tr>
			<td rowspan="2" width="155" valign="top" align="right" class="panneau">	
				<form name="formulaire">
					<table width="155" border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td rowspan="11" width="35">&nbsp;</td>
							<td height="90" >&nbsp;</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								<a href="main.html" target="texte">Accueil</a>
							</td>
						</tr>
						<tr>
							<td height="30" align="left" class="commande">
								<a href="robot.html" target="texte">Le Robot</a>
							</td>
						</tr>
						<tr>
							<td height="30" align="left" class="commande">
								<a href="projet.html" target="texte">Le Projet</a>
							</td>
						</tr>
						<tr>
							<td height="40">&nbsp;</td>
						</tr>
						
						<?if(!$connect){?>
						<tr>
							<td align="left" class="commande">
								Nom de connexion
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								<input name="nom" type="text" size="10">
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								Mot de passe
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								<input name="pass" type="password" size="10">
							</td>
						</tr>
						<tr>
							<td>
								<input name="connexion" type="submit" onClick="connect()" value="Connexion">
							</td>
						</tr>
						<tr>
							<td>
								<input name="annuler" type="reset" value="Annuler">
							</td>
						</tr>
						<?}else{?>
						<tr>
							<td align="left" class="commande">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								Vous tes maintenant connect  Centaure
							</td>
						</tr>
						<tr>
							<td align="left" class="commande">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td>
								<input name="deconnexion" type="submit" onClick="deconnect()" value="Dconnexion">
							</td>
						</tr>
						<tr>
							<td>
								&nbsp;
							</td>
						</tr>
						<?}?>
					</table>
				</form>
			</td>
			<td align="center" width="588" height="361" background="images/right_top_panel.jpg">
				<table width="570"  border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td rowspan="2" width="110">&nbsp;</td>
						<td colspan="2" width="460" class="webcam">
							Vous visualisez ci-dessous les images de la webcam situ&eacute;e sur le robot.<br>
							Pour profiter pleinement de la video, ne pas passer par le proxy de l'cole.<br>
						</td>
					</tr>
					<tr>
						<td width="330" height="250" align="center" valign="middle">
							<!--<img src="http://172.26.69.207:3000" width="320" height="240">-->
						</td>
						<td width="147" align="left" valign="middle">
							<img src="images/centaure.gif" width="130">
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td width="588" height="273">
				<table cellpadding="0" cellspacing="0" border="0" width="588">
					<tr>
						<td colspan="3" height="24" background="images/right_bottom_panel_top.jpg"></td>
					</tr>
					<tr>
						<td width="114" height="219" background="images/right_bottom_panel_left.jpg"></td>
						<td width="452" bgcolor="#A7C9EC" align="center">
							<iframe  id="texte" width="452" height="219" frameborder="0" src="<?=$page?>" name="texte"  ></iframe>
						</td>
						<td width="22" background="images/right_bottom_panel_right.jpg"></td>
					</tr>
					<tr>
						<td colspan="3" height="30" background="images/right_bottom_panel_bottom.jpg"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</body>
</html>
